%{?nodejs_find_provides_and_requires}

%global packagename testutil


# Tests disabled, as the test suite calls methods that don't exist
# in the library
%global enable_tests 0

Name:		nodejs-testutil
Version:	0.7.0
Release:	6%{?dist}
Summary:	Contains methods to aid in automatic testing of your application

License:	MIT
URL:		https://github.com/jprichardson/node-testutil
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(colors)
BuildRequires:	npm(path-extra)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(shelljs)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(mkdirp)
%endif

%description
Contains methods to aid in automatic testing of your application.


%prep
%autosetup -n package

chmod -x package.json

%nodejs_fixdep colors
%nodejs_fixdep path-extra
%nodejs_fixdep rimraf
%nodejs_fixdep shelljs

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed May 10 2017 Jared Smith <jsmith@fedoraproject.org> - 0.7.0-1
- Initial packaging
